sc::SCElementScalarProduct(3)

NAME
sc::SCElementScalarProduct -

SYNOPSIS

Inherits sc::SCElementOp2.

  Public Member Functions
SCElementScalarProduct (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void process (SCMatrixBlockIter &, SCMatrixBlockIter &)
int has_collect ()
void defer_collect (int)
void collect (const Ref< MessageGrp > &)
double result ()
void init ()

Member Function Documentation

  void sc::SCElementScalarProduct::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.